MODULE print_control_mod


  INTEGER,SAVE :: lunout=6 ! default output file identifier (6==screen)
  INTEGER,SAVE :: prt_level ! Output level
  LOGICAL,SAVE :: debug ! flag to specify if in "debug mode"
!$OMP THREADPRIVATE(lunout,prt_level,debug)



CONTAINS

  SUBROUTINE set_print_control(lunout_,prt_level_,debug_)
  IMPLICIT NONE
    INTEGER :: lunout_
    INTEGER :: prt_level_
    LOGICAL :: debug_
      
    lunout = lunout_
    prt_level = prt_level_
    debug = debug_
    
  END SUBROUTINE set_print_control
  

END MODULE print_control_mod
