!
! $Header$
!
      IF (is_sequential) THEN
      
      IF (type_run.EQ."AMIP") THEN
!
      ndex2d = 0
      itau_w = itau_phy + itap + start_time * day_step 
!
! Champs 2D:
!
      pi = ACOS(-1.)
      pir = 4.0*ATAN(1.0) / 180.0
!
      DO i=1, klon
       zx_tmp_fi2d(i)=(topsw(i)-toplw(i))
      ENDDO
!
      ok_msk=.FALSE.
      msk(1:klon)=pctsrf(1:klon,is_ter)
      CALL moyglo_pondaire(klon, zx_tmp_fi2d, cell_area,  &
           ok_msk, msk, moyglo)
      zx_tmp_fi2d(1:klon)=moyglo
!
      CALL grid1dTo2d_glo(zx_tmp_fi2d,zx_tmp_2d)
      CALL histwrite(nid_day_seri,"bilTOA",itau_w, &
                     zx_tmp_2d,nbp_lon*jjmp1,ndex2d)
!
      ok_msk=.FALSE.
      CALL moyglo_pondaire(klon, bils, cell_area,  &
           ok_msk, msk, moyglo)
      zx_tmp_fi2d(1:klon)=moyglo
!
      CALL grid1dTo2d_glo(zx_tmp_fi2d,zx_tmp_2d)
      CALL histwrite(nid_day_seri,"bils",itau_w, &
                     zx_tmp_2d,nbp_lon*jjmp1,ndex2d)
!
      DO k=1, klev
      DO i=1, klon
!IM 080904    zx_tmp_fi3d(i,k)=u(i,k)**2+v(i,k)**2
       zx_tmp_fi3d(i,k)=(u(i,k)**2+v(i,k)**2)/2.
      ENDDO
      ENDDO
!
      CALL moyglo_pondaima(klon, klev, zx_tmp_fi3d,  &
           cell_area, paprs, moyglo)
      zx_tmp_fi2d(1:klon)=moyglo
!
      CALL grid1dTo2d_glo(zx_tmp_fi2d,zx_tmp_2d)
      CALL histwrite(nid_day_seri,"ecin",itau_w, &
                     zx_tmp_2d,nbp_lon*jjmp1,ndex2d) 


!#ifdef _YM_UNUSED_TO_SUPRESS_
!ym !
!ym!IM 151004 BEG
!ym      IF(1.EQ.0) THEN
!ym!
!ym      DO k=1, klev
!ym      DO i=1, klon
!ym       zx_tmp_fi3d(i,k)=u_seri(i,k)*RA*cos(pir* rlat(i))
!ym      ENDDO
!ym      ENDDO
!ym!
!ym      CALL moyglo_pondaima(klon, klev, zx_tmp_fi3d,  &
!ym           cell_area, paprs, moyglo)
!ym      zx_tmp_fi2d(1:klon)=moyglo
!ym!
!ym      CALL gr_fi_ecrit(1, klon,nbp_lon,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
!ym      CALL histwrite(nid_day_seri,"momang",itau_w,zx_tmp_2d, &
!ym                     nbp_lon*jjmp1,ndex2d)
!ym!
!ym! friction torque
!ym!
!ym      DO i=1, klon
!ym       zx_tmp_fi2d(i)=zxfluxu(i,1)*RA* cos(pir* rlat(i))
!ym      ENDDO
!ym!
!ym      ok_msk=.FALSE.
!ym      CALL moyglo_pondaire(klon, zx_tmp_fi2d, cell_area,  &
!ym           ok_msk, msk, moyglo)
!ym      zx_tmp_fi2d(1:klon)=moyglo
!ym!
!ym      CALL gr_fi_ecrit(1, klon,nbp_lon,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
!ym      CALL histwrite(nid_day_seri,"frictor",itau_w,zx_tmp_2d, &
!ym                     nbp_lon*jjmp1,ndex2d)
!ym!
!ym! mountain torque
!ym!
!ym!IM 190504 BEG
!ym      CALL gr_fi_dyn(1,klon,nbp_lon+1,jjm+1,cell_area,airedyn)
!ym      CALL gr_fi_dyn(klev+1,klon,nbp_lon+1,jjm+1,paprs,padyn)
!ym      CALL gr_fi_dyn(1,klon,nbp_lon+1,jjm+1,rlat,rlatdyn)
!ym      
!ym
!ym      mountor=0.
!ym      airetot=0.
!ym      DO j = 1, jjmp1
!ym       DO i = 1, nbp_lon+1
!ym        ij=i+(nbp_lon+1)*(j-1)
!ym        zx_tmp(ij)=0.
!ym        DO k = 1, klev
!ym         zx_tmp(ij)=zx_tmp(ij)+dudyn(i,j,k)*airedyn(i,j)* &
!ym                    (padyn(i,j,k+1)-padyn(i,j,k))/RG
!ym         airetot=airetot+airedyn(i,j)
!ym        ENDDO
!ym!IM 190504 mountor=mountor+zx_tmp(ij)*airedyn(i,j)*RA*
!ym        mountor=mountor+zx_tmp(ij)*RA* &
!ym                 cos(pir* rlatdyn(i,j))
!ym       ENDDO
!ym      ENDDO
!ym!IM 151004 BEG
!ym      IF(itap.EQ.1) PRINT*,'airetot=',airetot,airetot/klev
!ym!IM 151004 END
!ym!IM 190504      mountor=mountor/(airetot*airetot)
!ym      mountor=mountor/airetot
!ym!
!ym!IM 190504 END
!ym      zx_tmp_2d(1:nbp_lon,1:jjmp1)=mountor
!ym      CALL histwrite(nid_day_seri,"mountor",itau_w,zx_tmp_2d, &
!ym                     nbp_lon*jjmp1,ndex2d)
!ym!
!ym      ENDIF !(1.EQ.0) THEN
!ym!
!ym!
!ym
!ym      CALL gr_fi_dyn(1,klon,nbp_lon+1,jjm+1,cell_area,airedyn)
!#endif      
      
      CALL grid1dTo2d_glo(cell_area,zx_tmp_2d)
      airetot=0.
!     DO j = 1, jjmp1
!      DO i = 1, nbp_lon+1
!       ij=i+(nbp_lon+1)*(j-1)
!       DO k = 1, klev
!        airetot=airetot+airedyn(i,j)
!        airetot=airetot+airedyn(i,j)
!       ENDDO !k
!      ENDDO !i
!     ENDDO !j
!


      airetot=0.
      DO i=1, klon
       airetot=airetot+cell_area(i)
      ENDDO
!     IF(itap.EQ.1) PRINT*,'airetotphy=',airetot
!
      airetot=0.
      DO j=1, jjmp1
       DO i=1, nbp_lon
        airetot=airetot+zx_tmp_2d(i,j)
       ENDDO
      ENDDO
!
!     IF(itap.EQ.1) PRINT*,'airetotij=',airetot,
!    $ '4piR2',4.*pi*RA*RA
!
      zx_tmp_fi2d(1:klon)=aam/airetot
      CALL grid1dTo2d_glo(zx_tmp_fi2d,zx_tmp_2d)
      CALL histwrite(nid_day_seri,"momang",itau_w,zx_tmp_2d, &
                     nbp_lon*jjmp1,ndex2d)
!
      zx_tmp_fi2d(1:klon)=torsfc/airetot
      CALL grid1dTo2d_glo(zx_tmp_fi2d,zx_tmp_2d)
      CALL histwrite(nid_day_seri,"torsfc",itau_w,zx_tmp_2d, &
                     nbp_lon*jjmp1,ndex2d)
!
!IM 151004 END
!
      CALL moyglo_pondmass(klon, klev, t_seri, &
           cell_area, paprs, moyglo)
      zx_tmp_fi2d(1:klon)=moyglo
!
      CALL grid1dTo2d_glo(zx_tmp_fi2d,zx_tmp_2d)
      CALL histwrite(nid_day_seri,"tamv",itau_w, &
                     zx_tmp_2d,nbp_lon*jjmp1,ndex2d)
!
      ok_msk=.FALSE.
      CALL moyglo_pondaire(klon, paprs(:,1), cell_area,  &
           ok_msk, msk, moyglo)
      zx_tmp_fi2d(1:klon)=moyglo
!
      CALL grid1dTo2d_glo(zx_tmp_fi2d,zx_tmp_2d)
      CALL histwrite(nid_day_seri,"psol",itau_w, &
                     zx_tmp_2d,nbp_lon*jjmp1,ndex2d)
!
      ok_msk=.FALSE.
      CALL moyglo_pondaire(klon, evap, cell_area,  &
           ok_msk, msk, moyglo)
      zx_tmp_fi2d(1:klon)=moyglo
!
      CALL grid1dTo2d_glo(zx_tmp_fi2d,zx_tmp_2d)
      CALL histwrite(nid_day_seri,"evap",itau_w, &
                     zx_tmp_2d,nbp_lon*jjmp1,ndex2d)
!
!     DO i=1, klon
!      zx_tmp_fi2d(i)=SnowFrac(i,is_ter)
!     ENDDO
!
!     ok_msk=.TRUE.
!     msk(1:klon)=pctsrf(1:klon,is_ter)
!     CALL moyglo_pondaire(klon, zx_tmp_fi2d, cell_area, 
!    .                     ok_msk, msk, moyglo)
!     zx_tmp_fi2d(1:klon)=moyglo
!
!     CALL gr_fi_ecrit(1, klon,nbp_lon,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
!     CALL histwrite(nid_day_seri,"SnowFrac",
!    .               itau_w,zx_tmp_2d,nbp_lon*jjmp1,ndex2d) 
!
!     DO i=1, klon
!IM 080904    zx_tmp_fi2d(i)=zsnow_mass(i)/330.*rowl
!      zx_tmp_fi2d(i)=zsnow_mass(i)
!     ENDDO
!
!IM 140904   ok_msk=.FALSE.
!     ok_msk=.TRUE.
!     msk(1:klon)=pctsrf(1:klon,is_ter)
!     CALL moyglo_pondaire(klon, zx_tmp_fi2d, cell_area, 
!    .     ok_msk, msk, moyglo)
!     zx_tmp_fi2d(1:klon)=moyglo
!
!     CALL gr_fi_ecrit(1, klon,nbp_lon,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
!     CALL histwrite(nid_day_seri,"snow_depth",itau_w,
!    .               zx_tmp_2d,nbp_lon*jjmp1,ndex2d)
!
      DO i=1, klon
       zx_tmp_fi2d(i)=ftsol(i,is_oce)
      ENDDO
!
      ok_msk=.TRUE.
      msk(1:klon)=pctsrf(1:klon,is_oce)
      CALL moyglo_pondaire(klon, zx_tmp_fi2d, cell_area,  &
           ok_msk, msk, moyglo)
      zx_tmp_fi2d(1:klon)=moyglo
!
      CALL grid1dTo2d_glo(zx_tmp_fi2d,zx_tmp_2d)
      CALL histwrite(nid_day_seri,"tsol_"//clnsurf(is_oce), &
                     itau_w,zx_tmp_2d,nbp_lon*jjmp1,ndex2d) 
!
!=================================================================
!=================================================================
!=================================================================
!
      if (ok_sync) then
        call histsync(nid_day_seri)
      endif
!
      ENDIF !fin test sur type_run.EQ."AMIP"
      
      ENDIF  ! mono_cpu
